


XWAIS(1)                 USER COMMANDS            Thu Feb 20 1992



NAME
     xwais - X interface to the WAIS system

SYNOPSIS
     xwais [ standard X toolkit arguments ]

DESCRIPTION
     xwais is a simple interface that allows  the  selection  and
     modification of WAIS questions and sources.

     There are basically three kinds of windows you will  see  in
     Xwais:

     1. the main Xwais window.
     2. a number of Question windows.
     3. a Source window.

     In the main Xwais window you'll see two  lists  -  Questions
     and Sources.

     To open a question, select the question in the Question List
     and  press  the  "Open"  button  in the  Question frame.  To
     create a  new  question, press  the  "New"  button  in   the
     Question  frame.    Press  "Help" in  the resulting Question
     window    for  information  on how   to    manipulate  ques-
     tions.

     To add a new source, press the "New"  button in the   Source
     Frame.  To edit an old source,  press  the "Open"  button.

     To exit the application, click twice on the "Quit"   button.
     This  only  closes  the  Xwais  "shell".   Questions must be
     closed explicitly.

     Remember, your window  manager  may  be  managing   some  of
     these  windows,  so  if  you  click on a  button and see  no
     window,  check to see if the window has actually been iconi-
     fied.

FILES
     Xwais                         application Default file.
     $(HOME)/wais-questions        location of saved questions.
     $(HOME)/wais-sources          location for personal sources.

RESOURCES
     The following resources may be changed to modify the default
     behavior  of  the  application.  I recommend you look at the
     resource file  Xwais  to  get  a  better  idea  of  all  the
     resources available.
     Xwais*questionDirectory:      ~/wais-questions/
     Xwais*userSourceDirectory:    ~/wais-sources/
     Xwais*commonSourceDirectory:  /proj/wais/wais/wais-sources/



Thinking Machines                                               1






XWAIS(1)                 USER COMMANDS            Thu Feb 20 1992



BUGS
     xwais currently has a limit of  twenty  questions.  It  will
     arbitrarily  trunctate the list to the first twenty files it
     sees.

     xwais does not sort the question or source lists.  It really
     should.

     xwais is heavily dependant on  it's  resources.   If  it  is
     unable  to find the proper resource file, it will most likey
     become unusable.

     xwais has no limit to resizing, so if the window is  resized
     too small, some buttons may be lost.

SEE ALSO
     xwaisq(1), waisindex(1), waisserver(1)

AUTHOR
     Jonny Goldman <Jonathan@Think.COM>



































Thinking Machines                                               2



